List categories
curl --request GET \
--url https://{domain}/api/application/categories \
--header 'Authorization: Bearer <token>'import requests
url = "https://{domain}/api/application/categories"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{domain}/api/application/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/application/categories",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/application/categories"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{domain}/api/application/categories")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/application/categories")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 3,
"name": "Minecraft Plans",
"description": "Minecraft Plans to test the Pterodactyl Module.",
"image": "categories/bpDSK36Tny6D0ki7j3D0fS0GLzMW5x0HMeBv7hxN.png",
"position": 1,
"design": "image_background",
"products_count": 7,
"created_at": "2026-02-25T08:22:15.000000Z",
"updated_at": "2026-07-06T07:39:20.000000Z"
},
{
"id": 4,
"name": "Other plans",
"description": "Other plans",
"image": "categories/66VIZB9gXVlqWH9QKiGmXmbFlQlZ4jFsPurTuhPF.png",
"position": 2,
"design": "minimal",
"products_count": 5,
"created_at": "2026-03-16T09:49:22.000000Z",
"updated_at": "2026-07-05T16:08:08.000000Z"
}
],
"meta": {
"request_id": "8ef93575-523e-44d9-9ca4-ea81ccbf2a7f",
"pagination": {
"current_page": 1,
"per_page": 2,
"total": 2,
"last_page": 1
}
}
}Categories
List categories
Paginated list of product categories with product counts.
Permission: categories.index
GET
/
categories
List categories
curl --request GET \
--url https://{domain}/api/application/categories \
--header 'Authorization: Bearer <token>'import requests
url = "https://{domain}/api/application/categories"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{domain}/api/application/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/application/categories",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/application/categories"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{domain}/api/application/categories")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/application/categories")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 3,
"name": "Minecraft Plans",
"description": "Minecraft Plans to test the Pterodactyl Module.",
"image": "categories/bpDSK36Tny6D0ki7j3D0fS0GLzMW5x0HMeBv7hxN.png",
"position": 1,
"design": "image_background",
"products_count": 7,
"created_at": "2026-02-25T08:22:15.000000Z",
"updated_at": "2026-07-06T07:39:20.000000Z"
},
{
"id": 4,
"name": "Other plans",
"description": "Other plans",
"image": "categories/66VIZB9gXVlqWH9QKiGmXmbFlQlZ4jFsPurTuhPF.png",
"position": 2,
"design": "minimal",
"products_count": 5,
"created_at": "2026-03-16T09:49:22.000000Z",
"updated_at": "2026-07-05T16:08:08.000000Z"
}
],
"meta": {
"request_id": "8ef93575-523e-44d9-9ca4-ea81ccbf2a7f",
"pagination": {
"current_page": 1,
"per_page": 2,
"total": 2,
"last_page": 1
}
}
}Authorizations
Query Parameters
Was this page helpful?

